7.6. Framebuffer-Ausgabe (FBdev)
Zurück | Kapitel 7. Videoausgabegeräte | Weiter

## 7.6. Framebuffer-Ausgabe (FBdev)

`./configure` erkennt automatisch, ob es den Framebuffertreiber (fbdev) compilieren soll oder nicht. Lies die Framebufferdokumentation in den Kernelquellen (`Documentation/fb/*`); dort stehen mehr Informationen.

Falls deine Karte den VBE 2.0-Standard nicht unterstützt (wie z.B. ältere ISA-/PCI-Karten wie die S3 Trio64) oder nur VBE 1.2 und älter unterstützt: Tja, dann kannst du immer noch VESAfb benutzen, benötigst aber den SciTech Display Doctor (ehemals UniVBE), der vor dem Booten von Linux geladen werden muss. Nimm dazu eine DOS-Bootdiskette oder was auch immer. Vergiss nicht, deine Kopie von UniVBE zu registrieren ;).

Die Fbdev-Ausgabe kennt neben den üblichen Parametern noch einige andere:

`-fb`

  Gibt das zu verwendende Framebuffergerät an (Standard: `/dev/fb0`)

`-fbmode`

  Gibt zu benutzenden Modusnamen an (wie sie in `/etc/fb.modes` stehen)

`-fbmodeconfig`

  Konfigurationsdatei für die Modi (Standard: `/etc/fb.modes`)

`-monitor-hfreq`, `-monitor-vfreq`, `-monitor-dotclock`

  Wichtige Werte, schau dir die `example.conf` an.

Wenn du in einen speziellen Modus wechseln willst, dann benutze

    mplayer -vm -fbmode Modusname Dateiname

- `-vm` ohne weitere Optionen wird den am besten passenden Modus aus `/etc/fb.modes` auswählen. Kann auch zusammen mit `-x` und `-y` benutzt werden. Die Option `-flip` wird nur dann unterstützt, wenn das Pixelformat des Films mit dem Pixelformat des Videomodus übereinstimmt. Pass auf den bpp-Wert auf. fbdev wird den aktuell eingestellten benutzen, wenn du nicht mit `-bpp` einen bestimmten angibst.

- Die Option `-zoom` wird nicht unterstützt (Softwareskalierung ist langsam, verwende `-vf scale`). Du kannst keine Modi mit 8bpp oder weniger benutzen.

- Wahrscheinlich wirst du den Cursor (

      echo -e '\033[?25l'

  oder

      setterm -cursor off

  ) und den Bildschirmschoner (`setterm -blank 0`) deaktivieren wollen. Um den Cursor wieder zu aktivieren:

      echo -e '\033[?25h'

  oder

      setterm -cursor on

  .

### Anmerkung

fbdev kann den Videomodus in Verbindung mit dem VESA-Framebuffer nicht ändern. Frag auch nicht danach - das ist keine Einschränkung seitens MPlayer.

Zurück | Nach oben | Weiter
7.5. SVGAlib | Zum Anfang | 7.7. Matrox-Framebuffer (mga_vid)